Debian Bug report logs - #347790
ignores boldMode setting

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Joey Hess <joeyh@debian.org>

Date: Thu, 12 Jan 2006 18:03:14 UTC

Severity: normal

Found in versions xterm/208-2, xterm/208-3.1, 222-1, xterm/225-1

Fixed in version xterm/235-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ignores boldMode setting
Date: Thu, 12 Jan 2006 12:58:58 -0500
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 208-2
Severity: normal

*XTerm*boldMode: false
*XTerm*boldFont: fixed

I use these settings to avoid ugly overstruck bold fonts. As of this
version of xterm, the boldMode setting has stopped having any effect.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                     2.3.5-11       GNU C Library: Shared libraries an
ii  libfontconfig1            2.3.2-1.1      generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.9.0.dfsg.1-2 Inter-Client Exchange library
ii  libncurses5               5.5-1          Shared libraries for terminal hand
ii  libsm6                    6.9.0.dfsg.1-2 X Window System Session Management
ii  libx11-6                  6.9.0.dfsg.1-2 X Window System protocol client li
ii  libxaw8                   6.9.0.dfsg.1-2 X Athena widget set library
ii  libxext6                  6.9.0.dfsg.1-2 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxmu6                   6.9.0.dfsg.1-2 X Window System miscellaneous util
ii  libxrender1               1:0.9.0.2-1    X Rendering Extension client libra
ii  libxt6                    6.9.0.dfsg.1-2 X Toolkit Intrinsics
ii  xlibs-data                6.9.0.dfsg.1-2 X Window System client data
ii  zlib1g                    1:1.2.3-9      compression library - runtime

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-2 X Window System utility programs

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Joey Hess <joeyh@debian.org>, 347790@bugs.debian.org
Subject: Re: Bug#347790: ignores boldMode setting
Date: Thu, 12 Jan 2006 14:58:25 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 12, 2006 at 07:10:29PM +0100, Joey Hess wrote:
> Package: xterm
> Version: 208-2
> Severity: normal
> 
> *XTerm*boldMode: false
> *XTerm*boldFont: fixed

I can see this - given the locale setting below, will see what the explanation
is.  What is the previous version of xterm that you were using?
 
> I use these settings to avoid ugly overstruck bold fonts. As of this
> version of xterm, the boldMode setting has stopped having any effect.
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.15-1-686
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thomas Dickey <dickey@radix.net>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: ignores boldMode setting
Date: Thu, 12 Jan 2006 15:16:03 -0500
[Message part 1 (text/plain, inline)]
Thomas Dickey wrote:
> I can see this - given the locale setting below, will see what the explanation
> is.  What is the previous version of xterm that you were using?

6.8.2.dfsg.1-11 .. I've downgraded to it again and it works ok.

I didn't consider the locale, so I left out some other possibly relevant
config:

! Turn on utf-8.
*XTerm*utf8: 1
! Don't look at the locale xterm is run from, since I only default to utf-8
! in xterms right now, and it's probaly not being run from another xterm.
*XTerm*locale: no

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Joey Hess <joeyh@debian.org>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: ignores boldMode setting
Date: Thu, 12 Jan 2006 15:51:03 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 12, 2006 at 03:16:03PM -0500, Joey Hess wrote:
> Thomas Dickey wrote:
> > I can see this - given the locale setting below, will see what the explanation
> > is.  What is the previous version of xterm that you were using?
> 
> 6.8.2.dfsg.1-11 .. I've downgraded to it again and it works ok.

What does "xterm -v" say?  (It's hard to recall what version of xterm is
in what package).
 
> I didn't consider the locale, so I left out some other possibly relevant
> config:
> 
> ! Turn on utf-8.
> *XTerm*utf8: 1
> ! Don't look at the locale xterm is run from, since I only default to utf-8
> ! in xterms right now, and it's probaly not being run from another xterm.
> *XTerm*locale: no

thanks.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thomas Dickey <dickey@radix.net>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: ignores boldMode setting
Date: Thu, 12 Jan 2006 16:05:43 -0500
[Message part 1 (text/plain, inline)]
Thomas Dickey wrote:
> On Thu, Jan 12, 2006 at 03:16:03PM -0500, Joey Hess wrote:
> > Thomas Dickey wrote:
> > > I can see this - given the locale setting below, will see what the explanation
> > > is.  What is the previous version of xterm that you were using?
> > 
> > 6.8.2.dfsg.1-11 .. I've downgraded to it again and it works ok.
> 
> What does "xterm -v" say?  (It's hard to recall what version of xterm is
> in what package).

XTerm(202)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 347790@bugs.debian.org
Subject: also..
Date: Wed, 15 Feb 2006 15:16:36 -0500
[Message part 1 (text/plain, inline)]
It also seems to be ignoring color settings like these:

*XTerm*VT100*color0: black
*XTerm*VT100*color1: red3
*XTerm*VT100*color2: green4
*XTerm*VT100*color3: yellow4
*XTerm*VT100*color4: blue4
*XTerm*VT100*color5: magenta3
*XTerm*VT100*color6: cyan4
*XTerm*VT100*color7: gray55
*XTerm*VT100*color8: gray25
*XTerm*VT100*color9: red
*XTerm*VT100*color10: LimeGreen
*XTerm*VT100*color11: yellow
*XTerm*VT100*color12: SteelBlue
*XTerm*VT100*color13: magenta
*XTerm*VT100*color14: cyan
*XTerm*VT100*color15: white
*XTerm*VT100*colorBD: green
*XTerm*VT100*colorUL: yellow
*XTerm*colorULMode: on
*XTerm*underLine: off

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Joey Hess <joeyh@debian.org>, 347790@bugs.debian.org
Subject: Re: Bug#347790: also..
Date: Wed, 15 Feb 2006 17:15:34 -0500
[Message part 1 (text/plain, inline)]
On Wed, Feb 15, 2006 at 09:20:16PM +0100, Joey Hess wrote:
> It also seems to be ignoring color settings like these:
> 
> *XTerm*VT100*color0: black

It's supposed to.  The app-defaults file already uses that pattern
(and has for several years).

You have to use a more-specific one, e.g., 

> *XTerm*VT100*color1: red3
  *XTerm*VT100.color1: red3

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Simon Budig <simon@budig.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 347790@bugs.debian.org (full text, mbox):

From: Simon Budig <simon@budig.de>
To: Debian Bug Tracking System <347790@bugs.debian.org>
Subject: xterm: boldFont problem seems related to font encoding
Date: Sun, 26 Feb 2006 03:08:46 +0100
Package: xterm
Version: 208-3.1
Followup-For: Bug #347790


I too discovered that xterm no longer respects the boldFont ressource.
In my .Xresources file I have these lines:

*vt100*font:     -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso8859-1
*vt100*boldFont: -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso8859-1
*vt100*boldMode: off
*vt100*boldColors: true
*vt100*colorBDMode: true

Now this does not work for some reason. *But* when I change the font to the
unicode encoding:

*vt100*font:     -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso10646-1
*vt100*boldFont: -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso10646-1
*vt100*boldMode: off
*vt100*boldColors: true
*vt100*colorBDMode: true

then boldMode suddenly starts working for whatever reason.

Hope this helps,
        Simon

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.2
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                     2.3.5-13       GNU C Library: Shared libraries an
ii  libfontconfig1            2.3.2-1.1      generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.9.0.dfsg.1-4 Inter-Client Exchange library
ii  libncurses5               5.5-1          Shared libraries for terminal hand
ii  libsm6                    6.9.0.dfsg.1-4 X Window System Session Management
ii  libx11-6                  6.9.0.dfsg.1-4 X Window System protocol client li
ii  libxaw8                   6.9.0.dfsg.1-4 X Athena widget set library
ii  libxext6                  6.9.0.dfsg.1-4 X Window System miscellaneous exte
ii  libxft2                   2.1.8.2-3      FreeType-based font drawing librar
ii  libxmu6                   6.9.0.dfsg.1-4 X Window System miscellaneous util
ii  libxrender1               1:0.9.0.2-1    X Rendering Extension client libra
ii  libxt6                    6.9.0.dfsg.1-4 X Toolkit Intrinsics
ii  xlibs-data                6.9.0.dfsg.1-4 X Window System client data
ii  zlib1g                    1:1.2.3-9      compression library - runtime

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-4 X Window System utility programs

-- debconf information:
* xterm/clobber_xresource_file: true
  xterm/xterm_needs_devpts:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Simon Budig <simon@budig.de>, 347790@bugs.debian.org
Subject: Re: Bug#347790: xterm: boldFont problem seems related to font encoding
Date: Sun, 26 Feb 2006 09:34:40 -0500
[Message part 1 (text/plain, inline)]
On Sun, Feb 26, 2006 at 03:20:04AM +0100, Simon Budig wrote:
> Package: xterm
> Version: 208-3.1
> Followup-For: Bug #347790
> 
> 
> I too discovered that xterm no longer respects the boldFont ressource.
> In my .Xresources file I have these lines:

I can't reproduce this (perhaps some other resource value or command-line
option is relevant).

Compiling xterm with trace enabled, I see that it says (for both cases)
it will use the iso10646 font because of the locale setting:

xtermLoadWideFonts:1
SetVTFont(which=0, f_n=<null>, f_b=<null>)
set myfonts.f_n from menu_font_names[0][fNorm] -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
set myfonts.f_b from menu_font_names[0][fBold] <null>
set myfonts.f_w from menu_font_names[0][fWide] <null>
set myfonts.f_wb from menu_font_names[0][fWBold] <null>
xtermLoadFont #0 normal -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
xtermLoadFont #0 bold   <null>
xtermLoadFont #0 wide   <null>
xtermLoadFont #0 w/bold <null>
...derived bold -Misc-Fixed-bold-R-*-*-13-120-75-75-C-60-ISO10646-1
same_font_size height 13/13, min 6/6 max 6/6
...got a matching bold font
caching menu fontname 0.1 -Misc-Fixed-bold-R-*-*-13-120-75-75-C-60-ISO10646-1
...derived wide -Misc-Fixed-medium-R-*-*-13-120-75-75-C-120-ISO10646-1
caching menu fontname 0.2 -Misc-Fixed-medium-R-*-*-13-120-75-75-C-120-ISO10646-1
...derived wide/bold -Misc-Fixed-bold-R-*-*-13-120-75-75-C-120-ISO10646-1
caching menu fontname 0.3 -Misc-Fixed-bold-R-*-*-13-120-75-75-C-120-ISO10646-1
same_font_size height 13/13, min 6/6 max 6/6
same_font_size height 13/13, min 12/12 max 12/12
Will not use internal line-drawing characters
Will not use 1-pixel offset/overstrike to simulate bold
 
> *vt100*font:     -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso8859-1
> *vt100*boldFont: -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso8859-1
> *vt100*boldMode: off
> *vt100*boldColors: true
> *vt100*colorBDMode: true
> 
> Now this does not work for some reason. *But* when I change the font to the
> unicode encoding:
> 
> *vt100*font:     -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso10646-1
> *vt100*boldFont: -misc-fixed-medium-r-semicondensed-*-*-120-*-*-c-*-iso10646-1
> *vt100*boldMode: off
> *vt100*boldColors: true
> *vt100*colorBDMode: true
> 
> then boldMode suddenly starts working for whatever reason.
> 
> Hope this helps,
>         Simon
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers testing
>   APT policy: (990, 'testing')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.12.2
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> 
> Versions of packages xterm depends on:
> ii  libc6                     2.3.5-13       GNU C Library: Shared libraries an
> ii  libfontconfig1            2.3.2-1.1      generic font configuration library
> ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
> ii  libice6                   6.9.0.dfsg.1-4 Inter-Client Exchange library
> ii  libncurses5               5.5-1          Shared libraries for terminal hand
> ii  libsm6                    6.9.0.dfsg.1-4 X Window System Session Management
> ii  libx11-6                  6.9.0.dfsg.1-4 X Window System protocol client li
> ii  libxaw8                   6.9.0.dfsg.1-4 X Athena widget set library
> ii  libxext6                  6.9.0.dfsg.1-4 X Window System miscellaneous exte
> ii  libxft2                   2.1.8.2-3      FreeType-based font drawing librar
> ii  libxmu6                   6.9.0.dfsg.1-4 X Window System miscellaneous util
> ii  libxrender1               1:0.9.0.2-1    X Rendering Extension client libra
> ii  libxt6                    6.9.0.dfsg.1-4 X Toolkit Intrinsics
> ii  xlibs-data                6.9.0.dfsg.1-4 X Window System client data
> ii  zlib1g                    1:1.2.3-9      compression library - runtime
> 
> Versions of packages xterm recommends:
> ii  xutils                    6.9.0.dfsg.1-4 X Window System utility programs
> 
> -- debconf information:
> * xterm/clobber_xresource_file: true
>   xterm/xterm_needs_devpts:
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Simon Budig <simon@budig.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 347790@bugs.debian.org (full text, mbox):

From: Simon Budig <simon@budig.de>
To: Thomas Dickey <dickey@radix.net>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: xterm: boldFont problem seems related to font encoding
Date: Sun, 26 Feb 2006 18:37:28 +0100
[Message part 1 (text/plain, inline)]
Thomas Dickey (dickey@radix.net) wrote:
> On Sun, Feb 26, 2006 at 03:20:04AM +0100, Simon Budig wrote:
> > Package: xterm
> > Version: 208-3.1
> > Followup-For: Bug #347790
> > 
> > 
> > I too discovered that xterm no longer respects the boldFont ressource.
> > In my .Xresources file I have these lines:
> 
> I can't reproduce this (perhaps some other resource value or command-line
> option is relevant).

What information do you need me to provide?

I start xterm with commandline
   xterm -si -sk -geometry 80x55

and I have attached the output xrdb -query for both the broken fonts and
for working fonts.

The complete locale settings are:

   simon@legends:~$ locale
   LANG=en_US.UTF-8
   LC_CTYPE="en_US.UTF-8"
   LC_NUMERIC="en_US.UTF-8"
   LC_TIME="en_US.UTF-8"
   LC_COLLATE="en_US.UTF-8"
   LC_MONETARY="en_US.UTF-8"
   LC_MESSAGES="en_US.UTF-8"
   LC_PAPER="en_US.UTF-8"
   LC_NAME="en_US.UTF-8"
   LC_ADDRESS="en_US.UTF-8"
   LC_TELEPHONE="en_US.UTF-8"
   LC_MEASUREMENT="en_US.UTF-8"
   LC_IDENTIFICATION="en_US.UTF-8"
   LC_ALL=

If you can provide me a binary of xterm with trace enabled I am willing
to send a log for the different settings.

I hope this helps,
        Simon

-- 
              simon@budig.de              http://simon.budig.de/
[working-fonts.xr (text/plain, attachment)]
[broken-fonts.xr (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Tim Pope <debian-bug@rebelongto.us>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 347790@bugs.debian.org (full text, mbox):

From: Tim Pope <debian-bug@rebelongto.us>
To: Debian Bug Tracking System <347790@bugs.debian.org>
Subject: xterm: boldMode patch
Date: Tue, 14 Mar 2006 15:41:06 -0600
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 208-3.1
Followup-For: Bug #347790

The attached patch fixes this issue, and additionally alters the
behavior of boldMode.  Previously, boldMode only had an effect on the
primary font.  This patch extends the option to also affect the
alternate fonts font1, font2, font3, etc.  This, in my opinion, is
more useful, more consistent, and better coincides with the
description in the manpage.

Cheers,
Tim Pope

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (700, 'stable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.4
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                    2.3.6-2         GNU C Library: Shared libraries an
ii  libfontconfig1           2.3.2-1.1       generic font configuration library
ii  libice6                  6.9.0.dfsg.1-4  Inter-Client Exchange library
ii  libncurses5              5.5-1           Shared libraries for terminal hand
ii  libsm6                   6.9.0.dfsg.1-4  X Window System Session Management
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol client li
ii  libxaw8                  6.9.0.dfsg.1-4  X Athena widget set library
ii  libxext6                 6.9.0.dfsg.1-4  X Window System miscellaneous exte
ii  libxft2                  2.1.8.2-3       FreeType-based font drawing librar
ii  libxmu6                  6.9.0.dfsg.1-4  X Window System miscellaneous util
ii  libxt6                   6.9.0.dfsg.1-4  X Toolkit Intrinsics
ii  xlibs                    6.9.0.dfsg.1-4  X Window System client libraries m
ii  xlibs-data               6.9.0.dfsg.1-4  X Window System client data

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-4 X Window System utility programs

-- no debconf information
[xterm-boldmode.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Tim Pope <debian-bug@rebelongto.us>, 347790@bugs.debian.org
Subject: Re: Bug#347790: xterm: boldMode patch
Date: Sun, 19 Mar 2006 09:24:46 -0500
[Message part 1 (text/plain, inline)]
On Tue, Mar 14, 2006 at 11:10:18PM +0100, Tim Pope wrote:
> Package: xterm
> Version: 208-3.1
> Followup-For: Bug #347790
> 
> The attached patch fixes this issue, and additionally alters the
> behavior of boldMode.  Previously, boldMode only had an effect on the
> primary font.  This patch extends the option to also affect the
> alternate fonts font1, font2, font3, etc.  This, in my opinion, is
> more useful, more consistent, and better coincides with the
> description in the manpage.

I agree that it should do what you're describing, but the patch is applied
before xterm has found the data that it needs to do the boldMode feature.
For instance, on the next line (see the context of the patch) it checks to
see if it was able to derive a bold font specifier.  Later it checks if
that was different from the normal (or font1, etc) font.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Tim Pope <debian-bug@rebelongto.us>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 347790@bugs.debian.org (full text, mbox):

From: Tim Pope <debian-bug@rebelongto.us>
To: Thomas Dickey <dickey@his.com>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: xterm: boldMode patch
Date: Sun, 19 Mar 2006 14:47:43 -0600
[Message part 1 (text/plain, inline)]
Hi, thanks for the feedback!

On Sun, Mar 19, 2006 at 09:24:46AM -0500, Thomas Dickey wrote:
> I agree that it should do what you're describing, but the patch is applied
> before xterm has found the data that it needs to do the boldMode feature.
> For instance, on the next line (see the context of the patch) it checks to
> see if it was able to derive a bold font specifier.  Later it checks if
> that was different from the normal (or font1, etc) font.

I see some problems with my previous approach, most notably a
potential memory leak I'm not sure how I missed.  Here's a second
attempt.  Perhaps you can tell me if I'm on the right track.  Is this
how you would go about it?

Thanks,
Tim Pope
[xterm-boldmode-2.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Tim Pope <debian-bug@rebelongto.us>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: xterm: boldMode patch
Date: Sun, 19 Mar 2006 18:25:54 -0500 (EST)
On Sun, 19 Mar 2006, Tim Pope wrote:

> Hi, thanks for the feedback!
>
> On Sun, Mar 19, 2006 at 09:24:46AM -0500, Thomas Dickey wrote:
>> I agree that it should do what you're describing, but the patch is applied
>> before xterm has found the data that it needs to do the boldMode feature.
>> For instance, on the next line (see the context of the patch) it checks to
>> see if it was able to derive a bold font specifier.  Later it checks if
>> that was different from the normal (or font1, etc) font.
>
> I see some problems with my previous approach, most notably a
> potential memory leak I'm not sure how I missed.  Here's a second
> attempt.  Perhaps you can tell me if I'm on the right track.  Is this
> how you would go about it?

That looks better.  Essentially what you want is to make boldMode disable 
the bold font.  It would be nice in that case to add a menu entry under VT 
Fonts to turn that on/off - which opens up a new set of issues - perhaps 
I'll do that for #212 (am closing out #211 tonight).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 347790@bugs.debian.org
Subject: fixed
Date: Thu, 13 Apr 2006 16:51:49 +0200
Somehow, upgrading to modular x.org and to version 210-2 of xterm
fixed this problem for me. I'm leaving the bug open since it has
(unrelated?) patches in it.

-- 
see shy jo



Bug marked as found in version 222-1. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as not found in version 210-2. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 347790@bugs.debian.org
Subject: unfixed..
Date: Thu, 9 Nov 2006 19:53:45 -0500
[Message part 1 (text/plain, inline)]
Well, I upgraded 222-1 today, and this bug is back for me.

I tried applying the xterm-boldmode-2.patch, and with some updates to
work with changed variables in the new version, it works! I've attached
an updated version of the patch.

Please consider applying this..

-- 
see shy jo
[xterm-boldmode-3.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 347790@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@ens-lyon.org>
To: Joey Hess <joeyh@debian.org>
Cc: 347790@bugs.debian.org, control@bugs.debian.org
Subject: Re: unfixed..
Date: Fri, 10 Nov 2006 02:51:46 +0100
[Message part 1 (text/plain, inline)]
tags 347790 pending
kthxbye

On Thu, Nov  9, 2006 at 19:53:45 -0500, Joey Hess wrote:

> Well, I upgraded 222-1 today, and this bug is back for me.
> 
> I tried applying the xterm-boldmode-2.patch, and with some updates to
> work with changed variables in the new version, it works! I've attached
> an updated version of the patch.
> 
> Please consider applying this..
> 
I just applied this patch in svn.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Julien Cristau <julien.cristau@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #96 received at 347790-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 347790-close@bugs.debian.org
Subject: Bug#347790: fixed in xterm 222-2
Date: Sat, 25 Nov 2006 17:47:06 +0000
Source: xterm
Source-Version: 222-2

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_222-2.diff.gz
  to pool/main/x/xterm/xterm_222-2.diff.gz
xterm_222-2.dsc
  to pool/main/x/xterm/xterm_222-2.dsc
xterm_222-2_i386.deb
  to pool/main/x/xterm/xterm_222-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 25 Nov 2006 12:25:29 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 222-2
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 301173 346377 347790 349462
Changes: 
 xterm (222-2) unstable; urgency=low
 .
   [ Julien Cristau ]
   * Install all manpages with "1" as extension instead of "1x"
     (closes: #346377).
   * Use the x-terminal-emulator.1.gz slave alternative, instead of
     x-terminal-emulator.1x.gz.  We also need to clean up the mess this wrong
     path caused, and make sure that the x-terminal-emulator.1.gz link in
     /usr/share/man/man1/ is still there.  If it disappeared, we add it in
     postinst.  Thanks to Vincent Lefevre and Joey Hess (closes: #349462).
   * Also add the changelog entry for xterm 208-3.1, so that the BTS doesn't
     consider bugs reported against that version as "from other Branch".
     The changes from this NMU have been obsoleted by 210-2.
   * Add patch 903 by Tim Pope <debian-bug@rebelongto.us> to not ignore the
     boldmode setting.  Thanks to Joey Hess <joeyh@debian.org> for reporting
     this issue and to Thomas Dickey for his comments (closes: #347790).
 .
   [ Branden Robinson ]
   * Ship "Xterm Control Sequences" document again, in both GNU Roff and plain
     text formats, and register the latter with doc-base.  (The former is
     easily viewable in a terminal with "groff -Tutf8 ctlseqs.ms | more", so it
     seems useful.)  (Closes: #301173)
   * Update copy of XTerm FAQ to revision 1.90 (dated 2005-11-02).
   * Resync koi8rxterm script with recent upstream changes to uxterm, upon
     which it is based.
Files: 
 44f8ad8e0f08458848a690ee11216063 813 x11 optional xterm_222-2.dsc
 f4528b86cf0cc5188e0f0b212bb3b9e5 61319 x11 optional xterm_222-2.diff.gz
 81c688c406f44c2a67a3c08b9b07a5c5 438264 x11 optional xterm_222-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFaH3GyLfpNdY0ad8RAilcAJ9CUGrYkfuV8bqq4X+InMmz9kvDYgCeIjY5
GF1Fz0YnVGbzmuHZNNVh0O4=
=oo5O
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #101 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: control@bugs.debian.org
Cc: 347790@bugs.debian.org
Subject: bold mode broken again 225-1
Date: Fri, 13 Apr 2007 20:35:36 -0400
[Message part 1 (text/plain, inline)]
found 347790 225-1
thanks

Due to the boldmode patch being aparently reverted in version 225-1,
this bug has resurfaced. Using 225-1, I cannot disable bold mode again.
My configuration remains as documented in this bug report.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 225-1. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 14 Apr 2007 00:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #108 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 347790@bugs.debian.org, control@bugs.debian.org
Subject: reopen
Date: Mon, 30 Jul 2007 02:56:11 -0400
[Message part 1 (text/plain, inline)]
reopen 347790
thanks

Guess I need to reopen this, the bts still has it marked as fixed
despite the fix having been reverted.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 07:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #115 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 347790@bugs.debian.org
Subject: reminder, this bug was fixed, the fix reverted, and is currently open with patch
Date: Sat, 9 Feb 2008 19:48:01 -0500
[Message part 1 (text/plain, inline)]
I'm getting tired of having to build my own xterm for over a year..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 347790@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joey Hess <joeyh@debian.org>, 347790@bugs.debian.org
Subject: Re: Bug#347790: reminder, this bug was fixed, the fix reverted, and is currently open with patch
Date: Mon, 11 Feb 2008 18:19:25 +0100
On Sat, Feb  9, 2008 at 19:48:01 -0500, Joey Hess wrote:

> I'm getting tired of having to build my own xterm for over a year..
> 
The fix wasn't reverted, it was modified in 225 with the addition of the
"alwaysBoldMode" resource, as documented in the manpage.  It would be
nice if you could summarize what behaviour you expect and how the actual
behaviour differs from what's documented in the manpage (the bug log is
long enough that I'm getting a bit confused as to the current status).

Thanks in advance,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #125 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: reminder, this bug was fixed, the fix reverted, and is currently open with patch
Date: Mon, 11 Feb 2008 12:57:03 -0500
[Message part 1 (text/plain, inline)]
Julien Cristau wrote:
> On Sat, Feb  9, 2008 at 19:48:01 -0500, Joey Hess wrote:
> 
> > I'm getting tired of having to build my own xterm for over a year..
> > 
> The fix wasn't reverted, it was modified in 225 with the addition of the
> "alwaysBoldMode" resource, as documented in the manpage.  It would be
> nice if you could summarize what behaviour you expect and how the actual
> behaviour differs from what's documented in the manpage (the bug log is
> long enough that I'm getting a bit confused as to the current status).

I would like to disable overstriking and use the same font (fixed) for both
normal and bold text.

               boldMode   alwaysBoldMode   Comparison   Action
               ----------------------------------------------------
               false      false            ignored      use font
               false      true             ignored      use font
               true       false            same         overstrike
               true       false            different    use font
               true       true             ignored      overstrike

I tried all four combinations in this table, and the action was always for
overstriking to be used for bold text.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #130 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 347790@bugs.debian.org
Subject: updated patch
Date: Wed, 20 Feb 2008 21:17:41 -0500
[Message part 1 (text/plain, inline)]
Updated patch for version 232 is attached.

(Not sure why but the xtermCloseFont line, which is identical to that in
the preceeding code block, now causes a BadFont error. So I commented it
out.

-- 
see shy jo
[xterm-boldmode-4.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#347790. Full text and rfc822 format available.

Message #133 received at 347790-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 347790-submitter@bugs.debian.org
Subject: re: #347790 ignores boldMode setting
Date: Sun, 02 Mar 2008 20:08:22 -0500
[Message part 1 (text/plain, inline)]
I'm puzzled, since the boldMode/alwaysBoldMode resources do produce the
result that I tabulated in the manpage.

However, since you're not seeing it work, it's likely that I'm not using
the same resource-settings and/or locale.

"appres XTerm" and "appres UXTerm" might show enough of those to see it.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #138 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Sun, 2 Mar 2008 20:46:01 -0500
[Message part 1 (text/plain, inline)]
Thomas Dickey wrote:
> I'm puzzled, since the boldMode/alwaysBoldMode resources do produce the
> result that I tabulated in the manpage.
> 
> However, since you're not seeing it work, it's likely that I'm not using
> the same resource-settings and/or locale.
> 
> "appres XTerm" and "appres UXTerm" might show enough of those to see it.

joey@kodama:~>appres XTerm
*fontMenu*fontescape*Label:	Escape Sequence
*fontMenu*font2*Label:	Tiny
*fontMenu*font-loadable*Label:	VT220 Soft Fonts
*fontMenu*fontsel*Label:	Selection
*fontMenu*font5*Label:	Large
*fontMenu*fontdefault*Label:	Default
*fontMenu*font3*Label:	Small
*fontMenu*render-font*Label:	TrueType Fonts
*fontMenu*font1*Label:	Unreadable
*fontMenu*font4*Label:	Medium
*fontMenu*font-linedrawing*Label:	Line-Drawing Characters
*fontMenu*utf8-mode*Label:	UTF-8
*fontMenu*font6*Label:	Huge
*fontMenu*font-doublesize*Label:	Doublesized Characters
*fontMenu*utf8-title*Label:	UTF-8 Titles
*fontMenu.Label:	VT Fonts
*fontMenu*background:	AntiqueWhite
*fontMenu*foreground:	gray15
*tekMenu*vtshow*Label:	Show VT Window
*tekMenu*tektextsmall*Label:	Small Characters
*tekMenu*vtmode*Label:	Switch to VT Mode
*tekMenu*tektextlarge*Label:	Large Characters
*tekMenu*tekpage*Label:	PAGE
*tekMenu*tekreset*Label:	RESET
*tekMenu*tektext2*Label:	#2 Size Characters
*tekMenu*tekhide*Label:	Hide Tek Window
*tekMenu*tekcopy*Label:	COPY
*tekMenu*tektext3*Label:	#3 Size Characters
*tekMenu.Label:	Tek Options
*tekMenu*background:	AntiqueWhite
*tekMenu*foreground:	gray15
*form.Thickness:	0
*form.background:	AntiqueWhite
*Form.menubar.background:	AntiqueWhite
*Form.menubar*background:	AntiqueWhite
*Form.menubar.foreground:	gray15
*Form.menubar*foreground:	gray15
*Form.background:	AntiqueWhite
*menubar.borderWidth:	0
*tek4014*fontLarge:	9x15
*tek4014*font2:	8x13
*tek4014*font3:	6x13
*tek4014*fontSmall:	6x10
*vtMenu*keepSelection*Label:	Keep Selection
*vtMenu*autowrap*Label:	Enable Auto Wraparound
*vtMenu*activeicon*Label:	Enable Active Icon
*vtMenu*selectToClipboard*Label:	Select to Clipboard
*vtMenu*reversewrap*Label:	Enable Reverse Wraparound
*vtMenu*softreset*Label:	Do Soft Reset
*vtMenu*cursesemul*Label:	Enable Curses Emulation
*vtMenu*autolinefeed*Label:	Enable Auto Linefeed
*vtMenu*hardreset*Label:	Do Full Reset
*vtMenu*visualbell*Label:	Enable Visual Bell
*vtMenu*appcursor*Label:	Enable Application Cursor Keys
*vtMenu*clearsavedlines*Label:	Reset and Clear Saved Lines
*vtMenu*bellIsUrgent*Label:	Enable Bell Urgency
*vtMenu*appkeypad*Label:	Enable Application Keypad
*vtMenu*tekshow*Label:	Show Tek Window
*vtMenu*poponbell*Label:	Enable Pop on Bell
*vtMenu*scrollbar*Label:	Enable Scrollbar
*vtMenu*scrollkey*Label:	Scroll to Bottom on Key Press
*vtMenu*tekmode*Label:	Switch to Tek Mode
*vtMenu*scrollttyoutput*Label:	Scroll to Bottom on Tty Output
*vtMenu*jumpscroll*Label:	Enable Jump Scroll
*vtMenu*cursorblink*Label:	Enable Blinking Cursor
*vtMenu*vthide*Label:	Hide VT Window
*vtMenu*allow132*Label:	Allow 80/132 Column Switching
*vtMenu*reversevideo*Label:	Enable Reverse Video
*vtMenu*titeInhibit*Label:	Enable Alternate Screen Switching
*vtMenu*altscreen*Label:	Show Alternate Screen
*vtMenu.Label:	VT Options
*vtMenu*background:	AntiqueWhite
*vtMenu*foreground:	gray15
*MenuButton*borderWidth:	0
*mainMenu*sunFunctionKeys*Label:	Sun Function-Keys
*mainMenu*toolbar*Label:	Toolbar
*mainMenu*8-bit control*Label:	8-Bit Controls
*mainMenu*hangup*Label:	Send HUP Signal
*mainMenu*sunKeyboard*Label:	VT220 Keyboard
*mainMenu*securekbd*Label:	Secure Keyboard
*mainMenu*terminate*Label:	Send TERM Signal
*mainMenu*hpFunctionKeys*Label:	HP Function-Keys
*mainMenu*allowsends*Label:	Allow SendEvents
*mainMenu*backarrow key*Label:	Backarrow Key (BS/DEL)
*mainMenu*kill*Label:	Send KILL Signal
*mainMenu*num-lock*Label:	Alt/NumLock Modifiers
*mainMenu*redraw*Label:	Redraw Window
*mainMenu*scoFunctionKeys*Label:	SCO Function-Keys
*mainMenu*quit*Label:	Quit
*mainMenu*alt-esc*Label:	Alt Sends Escape
*mainMenu*logging*Label:	Log to File
*mainMenu*tcapFunctionKeys*Label:	Termcap Function-Keys
*mainMenu*meta-esc*Label:	Meta Sends Escape
*mainMenu*print*Label:	Print Window
*mainMenu*suspend*Label:	Send STOP Signal
*mainMenu*delete-is-del*Label:	Delete is DEL
*mainMenu*print-redir*Label:	Redirect to Printer
*mainMenu*continue*Label:	Send CONT Signal
*mainMenu*oldFunctionKeys*Label:	Old Function-Keys
*mainMenu*interrupt*Label:	Send INT Signal
*mainMenu.Label:	Main Options
*mainMenu*background:	AntiqueWhite
*mainMenu*foreground:	gray15
*VT100.utf8Fonts.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100.utf8Fonts.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
*VT100.utf8Fonts.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
*VT100.utf8Fonts.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
*VT100.utf8Fonts.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
*VT100.utf8Fonts.font5:	-misc-fixed-medium-*-*-*-15-*-*-*-*-*-iso10646-*
*VT100.scrollbar.width:	14
*VT100.scrollbar.borderWidth:	0
*VT100.scrollbar.foreground:	rgb:a/5/5
*VT100.scrollbar.background:	gray60
*VT100.scrollbar.thumb:	vlines2
*VT100.scrollbar.displayList:	foreground      gray90;lines           1,-1,-1,-1,-1,1;foreground      gray60;lines           -1,0,0,0,0,-1
*VT100*color14:	cyan
*VT100*color8:	gray50
*VT100*color15:	white
*VT100*color9:	red
*VT100.font5:	9x15
*VT100*foreground:	gray90
*VT100.font1:	nil2
*VT100*colorBD:	white
*VT100*color0:	black
*VT100*color2:	green3
*VT100*colorUL:	yellow
*VT100*color1:	red3
*VT100*color3:	yellow3
*VT100*color10:	green
*VT100*color4:	blue2
*VT100.font2:	5x7
*VT100*color11:	yellow
*VT100*color5:	magenta3
*VT100*colorMode:	on
*VT100.font3:	6x10
*VT100*color12:	rgb:5c/5c/ff
*VT100*color6:	cyan3
*VT100*boldColors:	on
*VT100.font4:	7x13
*VT100*color13:	magenta
*VT100*color7:	gray90
*VT100*dynamicColors:	on
*VT100.font6:	10x20
*VT100*background:	black
*VT100*colorBDMode:	true
*SimpleMenu*menuLabel.font:	-adobe-helvetica-bold-r-normal--*-120-*-*-*-*-iso8859-*
*SimpleMenu*menuLabel.vertSpace:	100
*SimpleMenu*Sme.height:	16
*SimpleMenu*Cursor:	left_ptr
*SimpleMenu*BackingStore:	NotUseful
*SimpleMenu*background:	AntiqueWhite
*SimpleMenu*borderWidth:	2
*SimpleMenu*HorizontalMargins:	16
*SimpleMenu*foreground:	gray15
*XTerm.VT100.background:	black
*XTerm.VT100.cursorColor:	Grey
*XTerm.VT100.foreground:	wheat
*XTerm.VT100.geometry:	80x25
*XTerm*VT100.color8:	gray25
*XTerm*VT100.color14:	cyan
*XTerm*VT100.color9:	red
*XTerm*VT100.color15:	white
*XTerm*VT100.colorBD:	green
*XTerm*VT100.color0:	black
*XTerm*VT100.color2:	green4
*XTerm*VT100.color3:	yellow4
*XTerm*VT100.color1:	red3
*XTerm*VT100.colorUL:	yellow
*XTerm*VT100.color4:	blue4
*XTerm*VT100.color10:	LimeGreen
*XTerm*VT100.color5:	magenta3
*XTerm*VT100.color11:	yellow
*XTerm*VT100.color6:	cyan4
*XTerm*VT100.color12:	SteelBlue
*XTerm*VT100.color7:	gray55
*XTerm*VT100.color13:	magenta
*XTerm*scrollBar:	false
*XTerm*bellOnReset:	false
*XTerm*locale:	no
*XTerm*reverseVideo:	false
*XTerm*boldFont:	fixed
*XTerm*underLine:	off
*XTerm*reverseWrap:	true
*XTerm*boldMode:	false
*XTerm*utf8:	1
*XTerm*saveLines:	2000
*XTerm*colorULMode:	on
*backarrowKeyIsErase:	true
*ptyInitialErase:	true
*IconFont:	nil2
*saveLines:	1024
*customization:	-color
joey@kodama:~>appres UXTerm
*SimpleMenu*menuLabel.font:	-adobe-helvetica-bold-r-normal--*-120-*-*-*-*-iso8859-*
*SimpleMenu*menuLabel.vertSpace:	100
*SimpleMenu*Sme.height:	16
*SimpleMenu*background:	AntiqueWhite
*SimpleMenu*borderWidth:	2
*SimpleMenu*Cursor:	left_ptr
*SimpleMenu*HorizontalMargins:	16
*SimpleMenu*foreground:	gray15
*SimpleMenu*BackingStore:	NotUseful
*fontMenu*font6*Label:	Huge
*fontMenu*font-doublesize*Label:	Doublesized Characters
*fontMenu*utf8-title*Label:	UTF-8 Titles
*fontMenu*fontescape*Label:	Escape Sequence
*fontMenu*font5*Label:	Large
*fontMenu*font2*Label:	Tiny
*fontMenu*font-loadable*Label:	VT220 Soft Fonts
*fontMenu*fontsel*Label:	Selection
*fontMenu*fontdefault*Label:	Default
*fontMenu*font3*Label:	Small
*fontMenu*render-font*Label:	TrueType Fonts
*fontMenu*font1*Label:	Unreadable
*fontMenu*font4*Label:	Medium
*fontMenu*font-linedrawing*Label:	Line-Drawing Characters
*fontMenu*utf8-mode*Label:	UTF-8
*fontMenu.Label:	Unicode Fonts
*fontMenu*background:	AntiqueWhite
*fontMenu*foreground:	gray15
*tekMenu*tekcopy*Label:	COPY
*tekMenu*tektext3*Label:	#3 Size Characters
*tekMenu*vtshow*Label:	Show VT Window
*tekMenu*tektextsmall*Label:	Small Characters
*tekMenu*vtmode*Label:	Switch to VT Mode
*tekMenu*tektextlarge*Label:	Large Characters
*tekMenu*tekpage*Label:	PAGE
*tekMenu*tekreset*Label:	RESET
*tekMenu*tektext2*Label:	#2 Size Characters
*tekMenu*tekhide*Label:	Hide Tek Window
*tekMenu.Label:	Tek Options
*tekMenu*background:	AntiqueWhite
*tekMenu*foreground:	gray15
*form.Thickness:	0
*form.background:	AntiqueWhite
*Form.menubar.background:	AntiqueWhite
*Form.menubar*background:	AntiqueWhite
*Form.menubar.foreground:	gray15
*Form.menubar*foreground:	gray15
*Form.background:	AntiqueWhite
*XTerm.VT100.background:	black
*XTerm.VT100.cursorColor:	Grey
*XTerm.VT100.foreground:	wheat
*XTerm.VT100.geometry:	80x25
*XTerm*VT100.color7:	gray55
*XTerm*VT100.color13:	magenta
*XTerm*VT100.color8:	gray25
*XTerm*VT100.color14:	cyan
*XTerm*VT100.color9:	red
*XTerm*VT100.color15:	white
*XTerm*VT100.colorBD:	green
*XTerm*VT100.color0:	black
*XTerm*VT100.color2:	green4
*XTerm*VT100.color3:	yellow4
*XTerm*VT100.color1:	red3
*XTerm*VT100.colorUL:	yellow
*XTerm*VT100.color4:	blue4
*XTerm*VT100.color10:	LimeGreen
*XTerm*VT100.color5:	magenta3
*XTerm*VT100.color11:	yellow
*XTerm*VT100.color6:	cyan4
*XTerm*VT100.color12:	SteelBlue
*XTerm*saveLines:	2000
*XTerm*colorULMode:	on
*XTerm*scrollBar:	false
*XTerm*bellOnReset:	false
*XTerm*locale:	no
*XTerm*reverseVideo:	false
*XTerm*boldFont:	fixed
*XTerm*underLine:	off
*XTerm*reverseWrap:	true
*XTerm*boldMode:	false
*XTerm*utf8:	1
*menubar.borderWidth:	0
*tek4014*fontLarge:	9x15
*tek4014*font2:	8x13
*tek4014*font3:	6x13
*tek4014*fontSmall:	6x10
*vtMenu*allow132*Label:	Allow 80/132 Column Switching
*vtMenu*reversevideo*Label:	Enable Reverse Video
*vtMenu*titeInhibit*Label:	Enable Alternate Screen Switching
*vtMenu*altscreen*Label:	Show Alternate Screen
*vtMenu*keepSelection*Label:	Keep Selection
*vtMenu*autowrap*Label:	Enable Auto Wraparound
*vtMenu*activeicon*Label:	Enable Active Icon
*vtMenu*selectToClipboard*Label:	Select to Clipboard
*vtMenu*reversewrap*Label:	Enable Reverse Wraparound
*vtMenu*softreset*Label:	Do Soft Reset
*vtMenu*cursesemul*Label:	Enable Curses Emulation
*vtMenu*autolinefeed*Label:	Enable Auto Linefeed
*vtMenu*hardreset*Label:	Do Full Reset
*vtMenu*visualbell*Label:	Enable Visual Bell
*vtMenu*appcursor*Label:	Enable Application Cursor Keys
*vtMenu*clearsavedlines*Label:	Reset and Clear Saved Lines
*vtMenu*bellIsUrgent*Label:	Enable Bell Urgency
*vtMenu*appkeypad*Label:	Enable Application Keypad
*vtMenu*tekshow*Label:	Show Tek Window
*vtMenu*poponbell*Label:	Enable Pop on Bell
*vtMenu*scrollbar*Label:	Enable Scrollbar
*vtMenu*scrollkey*Label:	Scroll to Bottom on Key Press
*vtMenu*tekmode*Label:	Switch to Tek Mode
*vtMenu*scrollttyoutput*Label:	Scroll to Bottom on Tty Output
*vtMenu*jumpscroll*Label:	Enable Jump Scroll
*vtMenu*cursorblink*Label:	Enable Blinking Cursor
*vtMenu*vthide*Label:	Hide VT Window
*vtMenu.Label:	VT Options
*vtMenu*background:	AntiqueWhite
*vtMenu*foreground:	gray15
*MenuButton*borderWidth:	0
*VT100.utf8Fonts.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
*VT100.utf8Fonts.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
*VT100.utf8Fonts.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
*VT100.utf8Fonts.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100.utf8Fonts.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
*VT100.utf8Fonts.font5:	-misc-fixed-medium-*-*-*-15-*-*-*-*-*-iso10646-*
*VT100.scrollbar.borderWidth:	0
*VT100.scrollbar.foreground:	rgb:a/5/5
*VT100.scrollbar.background:	gray60
*VT100.scrollbar.thumb:	vlines2
*VT100.scrollbar.displayList:	foreground      gray90;lines           1,-1,-1,-1,-1,1;foreground      gray60;lines           -1,0,0,0,0,-1
*VT100.scrollbar.width:	14
*VT100*color13:	magenta
*VT100*color7:	gray90
*VT100*dynamicColors:	on
*VT100.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
*VT100*background:	black
*VT100*color14:	cyan
*VT100*color8:	gray50
*VT100.font5:	-misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
*VT100*color15:	white
*VT100*color9:	red
*VT100*foreground:	gray90
*VT100.font1:	nil2
*VT100*colorBD:	white
*VT100*color0:	black
*VT100*color2:	green3
*VT100.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
*VT100*colorUL:	yellow
*VT100*color1:	red3
*VT100*color3:	yellow3
*VT100*color10:	green
*VT100*color4:	blue2
*VT100.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100*color11:	yellow
*VT100*color5:	magenta3
*VT100*colorMode:	on
*VT100.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
*VT100.utf8:	1
*VT100*color12:	rgb:5c/5c/ff
*VT100*color6:	cyan3
*VT100*boldColors:	on
*VT100.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
*VT100*colorBDMode:	true
*mainMenu*oldFunctionKeys*Label:	Old Function-Keys
*mainMenu*interrupt*Label:	Send INT Signal
*mainMenu*sunFunctionKeys*Label:	Sun Function-Keys
*mainMenu*toolbar*Label:	Toolbar
*mainMenu*8-bit control*Label:	8-Bit Controls
*mainMenu*hangup*Label:	Send HUP Signal
*mainMenu*sunKeyboard*Label:	VT220 Keyboard
*mainMenu*securekbd*Label:	Secure Keyboard
*mainMenu*terminate*Label:	Send TERM Signal
*mainMenu*hpFunctionKeys*Label:	HP Function-Keys
*mainMenu*allowsends*Label:	Allow SendEvents
*mainMenu*backarrow key*Label:	Backarrow Key (BS/DEL)
*mainMenu*kill*Label:	Send KILL Signal
*mainMenu*num-lock*Label:	Alt/NumLock Modifiers
*mainMenu*redraw*Label:	Redraw Window
*mainMenu*scoFunctionKeys*Label:	SCO Function-Keys
*mainMenu*quit*Label:	Quit
*mainMenu*alt-esc*Label:	Alt Sends Escape
*mainMenu*logging*Label:	Log to File
*mainMenu*tcapFunctionKeys*Label:	Termcap Function-Keys
*mainMenu*meta-esc*Label:	Meta Sends Escape
*mainMenu*print*Label:	Print Window
*mainMenu*suspend*Label:	Send STOP Signal
*mainMenu*delete-is-del*Label:	Delete is DEL
*mainMenu*print-redir*Label:	Redirect to Printer
*mainMenu*continue*Label:	Send CONT Signal
*mainMenu.Label:	Main Options
*mainMenu*background:	AntiqueWhite
*mainMenu*foreground:	gray15
*ptyInitialErase:	true
*IconFont:	nil2
*saveLines:	1024
*customization:	-color
*backarrowKeyIsErase:	true

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #143 received at 347790@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Joey Hess <joeyh@debian.org>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Mon, 3 Mar 2008 06:06:05 -0500 (EST)
On Sun, 2 Mar 2008, Joey Hess wrote:

> Thomas Dickey wrote:
>> I'm puzzled, since the boldMode/alwaysBoldMode resources do produce the
>> result that I tabulated in the manpage.
>>
>> However, since you're not seeing it work, it's likely that I'm not using
>> the same resource-settings and/or locale.
>>
>> "appres XTerm" and "appres UXTerm" might show enough of those to see it.
>
> joey@kodama:~>appres XTerm

thanks (will see, this evening)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#347790. Full text and rfc822 format available.

Message #146 received at 347790-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Joey Hess <joeyh@debian.org>
Cc: 347790-submitter@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Mon, 03 Mar 2008 20:54:41 -0500
[Message part 1 (text/plain, inline)]
On Sun, Mar 02, 2008 at 08:46:01PM -0500, Joey Hess wrote:
> Thomas Dickey wrote:
> > I'm puzzled, since the boldMode/alwaysBoldMode resources do produce the
> > result that I tabulated in the manpage.
> > 
> > However, since you're not seeing it work, it's likely that I'm not using
> > the same resource-settings and/or locale.
> > 
> > "appres XTerm" and "appres UXTerm" might show enough of those to see it.

thanks - I can see enough now.  It's not using the overstriking, but
choosing a bold font for the UTF-8 fonts (which the server is probably
faking, since it does look a little ragged).
 
> joey@kodama:~>appres XTerm

Since the .utf8 resource is set, this is where it's getting font info:

> *VT100.utf8Fonts.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
> *VT100.utf8Fonts.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
> *VT100.utf8Fonts.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
> *VT100.utf8Fonts.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
> *VT100.utf8Fonts.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
> *VT100.utf8Fonts.font5:	-misc-fixed-medium-*-*-*-15-*-*-*-*-*-iso10646-*

(I should be able to set the *VT100.utf8Fonts.boldFont, doesn't seem to be
matching in the trace - will investigate that tomorrow...)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#347790. Full text and rfc822 format available.

Message #149 received at 347790-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Joey Hess <joeyh@debian.org>
Cc: 347790-submitter@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Wed, 05 Mar 2008 16:19:19 -0500
[Message part 1 (text/plain, inline)]
On Sun, Mar 02, 2008 at 08:46:01PM -0500, Joey Hess wrote:
> Thomas Dickey wrote:
> > I'm puzzled, since the boldMode/alwaysBoldMode resources do produce the
> > result that I tabulated in the manpage.
> > 
> > However, since you're not seeing it work, it's likely that I'm not using
> > the same resource-settings and/or locale.
> > 
> > "appres XTerm" and "appres UXTerm" might show enough of those to see it.

...continuing: because xterm is loading the utf8Fonts, it executes
a XtGetSubresources() call using

	name=utf8Fonts
	class=Utf8Fonts

Then it merges the result against the original fonts, using the utf8Fonts
values to override unset font resources.

If I add these lines to the "XTerm" resources that you supplied:

*VT100.utf8Fonts.boldFont:      9x15
*XTerm*VT100.utf8Fonts.boldFont:        9x15

then the second one is more-specific than the other settings, and is seen
by xterm during this merge.  The first is ignored (what I tried first),
because it is not more-specific than

*XTerm*boldFont:	fixed

That should be enough - however in testing this, I see a code change needed
to make this path work properly:

diff -u -r1.270 fontutils.c
--- fontutils.c 2008/02/29 00:25:16     1.270
+++ fontutils.c 2008/03/05 21:08:55
@@ -1204,6 +1204,11 @@
            w->misc.default_font = subresourceRec.default_font;
            COPY_MENU_FONTS(subresourceRec, w->screen);
            w->screen.MenuFontName(fontMenu_default) = w->misc.default_font.f_n;
+           w->screen.menu_font_names[0][fBold] = w->misc.default_font.f_b;
+#if OPT_WIDE_CHARS
+           w->screen.menu_font_names[0][fWide] = w->misc.default_font.f_w;
+           w->screen.menu_font_names[0][fWBold] = w->misc.default_font.f_wb;
+#endif
        } else {
            TRACE(("...no resources found\n"));
            status = False;


-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #154 received at 347790@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 347790@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Wed, 5 Mar 2008 17:07:15 -0500
[Message part 1 (text/plain, inline)]
Thomas Dickey wrote:
> If I add these lines to the "XTerm" resources that you supplied:
> 
> *VT100.utf8Fonts.boldFont:      9x15
> *XTerm*VT100.utf8Fonts.boldFont:        9x15

> That should be enough - however in testing this, I see a code change needed
> to make this path work properly:
> 
> diff -u -r1.270 fontutils.c
> --- fontutils.c 2008/02/29 00:25:16     1.270
> +++ fontutils.c 2008/03/05 21:08:55
> @@ -1204,6 +1204,11 @@
>             w->misc.default_font = subresourceRec.default_font;
>             COPY_MENU_FONTS(subresourceRec, w->screen);
>             w->screen.MenuFontName(fontMenu_default) = w->misc.default_font.f_n;
> +           w->screen.menu_font_names[0][fBold] = w->misc.default_font.f_b;
> +#if OPT_WIDE_CHARS
> +           w->screen.menu_font_names[0][fWide] = w->misc.default_font.f_w;
> +           w->screen.menu_font_names[0][fWBold] = w->misc.default_font.f_wb;
> +#endif

I built a version with this patch and it fixed the bold mode
immedaitely, I did not need to set the resources you show above.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#347790. Full text and rfc822 format available.

Message #157 received at 347790-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Joey Hess <joeyh@debian.org>
Cc: 347790-submitter@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Wed, 5 Mar 2008 17:21:38 -0500 (EST)
On Wed, 5 Mar 2008, Joey Hess wrote:

> Thomas Dickey wrote:
>> If I add these lines to the "XTerm" resources that you supplied:
>>
>> *VT100.utf8Fonts.boldFont:      9x15
>> *XTerm*VT100.utf8Fonts.boldFont:        9x15
>
>> That should be enough - however in testing this, I see a code change needed
>> to make this path work properly:
>>
>> diff -u -r1.270 fontutils.c
>> --- fontutils.c 2008/02/29 00:25:16     1.270
>> +++ fontutils.c 2008/03/05 21:08:55
>> @@ -1204,6 +1204,11 @@
>>             w->misc.default_font = subresourceRec.default_font;
>>             COPY_MENU_FONTS(subresourceRec, w->screen);
>>             w->screen.MenuFontName(fontMenu_default) = w->misc.default_font.f_n;
>> +           w->screen.menu_font_names[0][fBold] = w->misc.default_font.f_b;
>> +#if OPT_WIDE_CHARS
>> +           w->screen.menu_font_names[0][fWide] = w->misc.default_font.f_w;
>> +           w->screen.menu_font_names[0][fWBold] = w->misc.default_font.f_wb;
>> +#endif
>
> I built a version with this patch and it fixed the bold mode
> immedaitely, I did not need to set the resources you show above.

sounds good - I was setting the resources so I could be sure where the
data came from, in the debug-trace.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information stored:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #162 received at 347790-quiet@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thomas Dickey <dickey@his.com>, 347790-quiet@bugs.debian.org
Cc: 347790-submitter@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Wed, 5 Mar 2008 22:41:16 -0500
[Message part 1 (text/plain, inline)]
Thomas Dickey wrote:
> On Wed, 5 Mar 2008, Joey Hess wrote:
>
>> Thomas Dickey wrote:
>>> If I add these lines to the "XTerm" resources that you supplied:
>>>
>>> *VT100.utf8Fonts.boldFont:      9x15
>>> *XTerm*VT100.utf8Fonts.boldFont:        9x15
>>
>>> That should be enough - however in testing this, I see a code change needed
>>> to make this path work properly:
>>>
>>> diff -u -r1.270 fontutils.c
>>> --- fontutils.c 2008/02/29 00:25:16     1.270
>>> +++ fontutils.c 2008/03/05 21:08:55
>>> @@ -1204,6 +1204,11 @@
>>>             w->misc.default_font = subresourceRec.default_font;
>>>             COPY_MENU_FONTS(subresourceRec, w->screen);
>>>             w->screen.MenuFontName(fontMenu_default) = w->misc.default_font.f_n;
>>> +           w->screen.menu_font_names[0][fBold] = w->misc.default_font.f_b;
>>> +#if OPT_WIDE_CHARS
>>> +           w->screen.menu_font_names[0][fWide] = w->misc.default_font.f_w;
>>> +           w->screen.menu_font_names[0][fWBold] = w->misc.default_font.f_wb;
>>> +#endif
>>
>> I built a version with this patch and it fixed the bold mode
>> immedaitely, I did not need to set the resources you show above.
>
> sounds good - I was setting the resources so I could be sure where the
> data came from, in the debug-trace.

I spoke too soon. With this patch, plus
*XTerm*VT100.utf8Fonts.boldFont:        9x15
I get the desired non-bold font in an xterm using the default size.

However, if I pick large from the font size menu, it uses a bold font.
I've never had problems with it using a bold font for large size before
-- possibly because the boldness was not very noticible at the larger
font size, or possibly because it didn't bold it at all. But it is
noticible now.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#347790. Full text and rfc822 format available.

Information stored:
Bug#347790; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #170 received at 347790-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Joey Hess <joeyh@debian.org>
Cc: 347790-quiet@bugs.debian.org, 347790-submitter@bugs.debian.org
Subject: Re: Bug#347790: #347790 ignores boldMode setting
Date: Thu, 6 Mar 2008 06:17:41 -0500 (EST)
On Wed, 5 Mar 2008, Joey Hess wrote:

> I spoke too soon. With this patch, plus
> *XTerm*VT100.utf8Fonts.boldFont:        9x15
> I get the desired non-bold font in an xterm using the default size.
>
> However, if I pick large from the font size menu, it uses a bold font.
> I've never had problems with it using a bold font for large size before
> -- possibly because the boldness was not very noticible at the larger
> font size, or possibly because it didn't bold it at all. But it is
> noticible now.

I believe that's a similar cause: xterm's deriving the name of a bold font 
from the normal font - just as if was doing without that fix.  There's no 
boldFont2 to correspond to font2 (same for font3, font3, font4, font5).

Offhand, I can think of two solutions there (but neither seems good): (a) 
add a setting to disable deriving fontnames, or (b) add resource settings 
for boldFont2, etc.  Besides being more cumbersome, the latter moves 
things closer to running out of resources - X libraries have a hardcoded 
limit.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#347790. Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #178 received at 347790-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 347790-close@bugs.debian.org
Subject: Bug#347790: fixed in xterm 235-1
Date: Mon, 21 Apr 2008 01:02:06 +0000
Source: xterm
Source-Version: 235-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_235-1.diff.gz
  to pool/main/x/xterm/xterm_235-1.diff.gz
xterm_235-1.dsc
  to pool/main/x/xterm/xterm_235-1.dsc
xterm_235-1_i386.deb
  to pool/main/x/xterm/xterm_235-1_i386.deb
xterm_235.orig.tar.gz
  to pool/main/x/xterm/xterm_235.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Apr 2008 02:48:05 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 235-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347790 383384
Changes: 
 xterm (235-1) unstable; urgency=low
 .
   * New upstream release.
     + adjust saved-cursor position if the window is resized while displaying
       the alternate screen (closes: #383384)
     + correct initialization of bold- and wide-, wide-bold fonts which may be
       set via the utf8Fonts subresource (closes: #347790)
   * Refresh patches 901_xterm_manpage.diff and 902_pointermode_never.diff.
Checksums-Sha1: 
 ec99584215296505ed9b387a7e0e9e35f3757d7a 1336 xterm_235-1.dsc
 4d449a9e50e342e0b7a6deba9d713e6ba9323d1e 857714 xterm_235.orig.tar.gz
 03da2dff297abfbf95ea360a8b38123c518415be 62136 xterm_235-1.diff.gz
 7aedb7fc5dd906ad35246cf7442e250311aa2130 466530 xterm_235-1_i386.deb
Checksums-Sha256: 
 c288efd0a35c5bf156834e8596cd68c38697b73613869af2fbf9e4c71a993932 1336 xterm_235-1.dsc
 c8a7ccb515b967a11dc2ac1061943cddbf0b6640de89f72590b1ff79e69a49cf 857714 xterm_235.orig.tar.gz
 f947106338c7defc86b24cefe4eed6e05941fc49028972ca345abaa08ea397c4 62136 xterm_235-1.diff.gz
 517f01858734b253584c28bb9951acbb6a082d1274c6ec6c079f7567bf067d71 466530 xterm_235-1_i386.deb
Files: 
 be691eda9f4fc37daf03259bffc28d0f 1336 x11 optional xterm_235-1.dsc
 5060cab9cef0ea09a24928f3c7fbde2b 857714 x11 optional xterm_235.orig.tar.gz
 67a55c2ed7eccf1b3a6155c5b972d73a 62136 x11 optional xterm_235-1.diff.gz
 ec97de9afffcbc5932dddfa9090f6fbe 466530 x11 optional xterm_235-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIC+Z8mEvTgKxfcAwRArOHAJ0YB5wN6WStAYMQnK7Dd28RY04cKQCeLVYG
rD5BSBttgqK4QC18aqA8Jwo=
=fh7S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 May 2008 07:40:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:05:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.